Foreman - Bug #15246

Inline Parameter editing - brackets missing on first edit of an array
05/31/2016 10:44 AM - Michael Hurn

Status: Closed
Priority: Normal
Assignee: Ori Rabin
Category: Parameters
Target version: 1.11.3
Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1111
Bugzilla link: 1405118 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3565
Description

I may be missing something but the first time | try and edit an array. | get the array values less the [, ], & "s. l.e. just a simple comer
separated string :(

If | put them back future edits are ok. Also if my Puppet modules have a blank array [] when | go to edit | lose the [] then | can edit |
have to add the [, ] , & " but at least the values are good after that.

If | cancel the edit | get the [] back.

This can be tested with the NTP module.
See also https://groups.google.com/forum/#!topic/foreman-users/C8UalPWWckY

Associated revisions

Revision b9f3561f - 06/02/2016 08:01 AM - Ori Rabin

Fixes #15246 - correctly override array params

When editing inline array params would be parsed as js objects.
This was a result of using the jquery data api.

Revision e8a46acb - 06/03/2016 11:45 AM - Ori Rabin
Fixes #15246 - correctly override array params

When editing inline array params would be parsed as js objects.
This was a result of using the jquery data api.

(cherry picked from commit b9f3561f251afd652b5cd9070d058679c88d226¢)
Revision 8e2ecc1d - 06/16/2016 02:15 PM - Ori Rabin
Fixes #15246 - correctly override array params

When editing inline array params would be parsed as js objects.
This was a result of using the jquery data api.

(cherry picked from commit b9f3561f251afd652b5cd9070d058679¢c88d226¢)

History

#1 - 05/31/2016 11:43 AM - Dominic Cleal
- Subject changed from Inline Parameter editing - Error first time edit of an array to Inline Parameter editing - brackets missing on first edit of an array

- Category set to Parameters

#2 - 06/02/2016 06:54 AM - The Foreman Bot
- Status changed from New to Ready For Testing

- Assignee set to Ori Rabin
https://groups.google.com/forum/#!topic/foreman-users/C8UalPWWckY

- Pull request https://github.com/theforeman/foreman/pull/3565 added

#3 - 06/02/2016 09:01 AM - Ori Rabin
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset b9f3561f251afd652b5cd9070d058679¢c88d226¢.

#4 - 06/02/2016 10:05 AM - Dominic Cleal

- translation missing: en.field_release set to 159

#5 - 12/19/2016 07:43 AM - Ori Rabin
- Bugzilla link set to 1405118
